define(
  ['marionette', 'delegation/views/items-list-item', 'hb!delegation/templates/items-list'],
  function (Marionette, DelegationItemsListItem, delegationItemsListTemplate) {
  'use strict';

  var DelegationItemsList = Marionette.CompositeView.extend({
    template: delegationItemsListTemplate,

    itemView: DelegationItemsListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Delegacje');
    },

    serializeData: function () {
      return {
        id: this.collection.id
      };
    }
  });

  return DelegationItemsList;
});
