define(['marionette', 'hb!delegation/templates/view'], function (Marionette, delegationViewTemplate) {
  'use strict';

  var DelegationView = Marionette.ItemView.extend({
    template: delegationViewTemplate,

    modelEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Delegacje');
    }
  });

  return DelegationView;
});
