/**
 * Rangle helper for handlebars
 * @author elwiz
 */
define(['handlebars'], function (Handlebars) {
  'use strict';

  Handlebars.registerHelper('range', function(from, to, increment, block) {
    var result = '', i;

    for(i = from; i < to; i = i + increment) {
      result += block.fn(i);
    }
    return result;
  });

  return {};
});
