define(
  ['marionette', 'main/views/vehicle-list-item', 'hb!main/templates/vehicle-list'],
  function (Marionette, VehicleListItem, vehicleListTemplate) {
  'use strict';

  var VehicleList = Marionette.CompositeView.extend({
    template: vehicleListTemplate,

    itemView: VehicleListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Pojazdy');
    }
  });

  return VehicleList;
});
