define(
  ['marionette', 'payment/views/list-item', 'hb!payment/templates/list'],
  function (Marionette, PaymentListItem, paymentListTemplate) {
  'use strict';

  var PaymentList = Marionette.CompositeView.extend({
    template: paymentListTemplate,

    itemView: PaymentListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Płatności');
    }
  });

  return PaymentList;
});
