define(
  ['marionette', 'hb!payment/templates/view'],
  function (Marionette, paymentViewTemplate) {
  'use strict';

  var PaymentView = Marionette.ItemView.extend({
    template: paymentViewTemplate,

    events: {
      'click .pay': 'pay'
    },

    modelEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Płatności');
    },

    pay : function (ev) {
      window.open(
        ev.target.getAttribute('href'),
        '_system', 'location=no'
      );
      // aktualnie brak odświeżania danych o płatności :(
      return false;
    },
  });

  return PaymentView;
});
