define(
  ['marionette', 'refuel/views/list-item', 'hb!refuel/templates/list'],
  function (Marionette, RefuelListItem, refuelListTemplate) {
  'use strict';

  var RefuelList = Marionette.CompositeView.extend({
    template: refuelListTemplate,

    itemView: RefuelListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Tankowania');
    }
  });

  return RefuelList;
});
