define(
  ['marionette', 'request/views/list-item', 'hb!request/templates/list'],
  function (Marionette, RequestListItem, requestListTemplate) {
  'use strict';

  var RequestList = Marionette.CompositeView.extend({
    template: requestListTemplate,

    itemView: RequestListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Wiadomości');
    }
  });

  return RequestList;
});
