define(['marionette', 'hb!search/templates/offline-details'], function (Marionette, searchOfflineDetailsTemplate) {
  'use strict';

  var SearchOfflineDetails = Marionette.ItemView.extend({
    template: searchOfflineDetailsTemplate,

    events: {
      'click address': 'openMap'
    },

    modelEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Najbliższe warsztaty');
    },

    openMap: function () {
      window.open(
        'geo:' + this.model.get('center_lat') + ',' + this.model.get('center_lng'),
        '_system', 'location=no'
      );
    }
  });

  return SearchOfflineDetails;
});
