define(
  ['marionette', 'static/views/stat-list-item', 'hb!static/templates/stat-list'],
  function (Marionette, StatListItem, statListTemplate) {
  'use strict';

  var StatList = Marionette.CompositeView.extend({
    template: statListTemplate,

    itemView: StatListItem,

    itemViewContainer: 'table',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Statystyki');
    }
  });

  return StatList;
});
