define(['backbone', 'module'], function (Backbone, module) {
  'use strict';

  var Item = Backbone.Model.extend({

    defaults: {
      fk_fleet_delegations_id: undefined
    },

    url: function () {
      var result;

      if (this.isNew()) {
        result = module.config().url.add;
      } else {
        result = module.config().url.edit + '/' + this.id;
      }

      if (this.attributes.fk_fleet_delegations_id) {
        result += '/?fk_fleet_delegations_id=' + this.attributes.fk_fleet_delegations_id;
      }

      return result;
    }
  });

  return Item;
});
