define(['marionette', 'hb!delegation/templates/items-list-item'], function (Marionette, delegationItemsListItemTemplate) {
  'use strict';

  var DelegationItemsListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: delegationItemsListItemTemplate,

    events: {
      'click': 'viewItem'
    },

    modelEvents: {
      'change': 'render'
    },

    viewItem: function () {
      G.navigate('delegation/item/' + this.model.get('id'));
    }
  });

  return DelegationItemsListItem;
});
