define(['marionette', 'hb!delegation/templates/list-item'], function (Marionette, delegationListItemTemplate) {
  'use strict';

  var DelegationListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: delegationListItemTemplate,

    events: {
      'click': 'viewDelegation'
    },

    modelEvents: {
      'change': 'render'
    },

    viewDelegation: function () {
      G.navigate('delegation/view/' + this.model.get('id'));
    }
  });

  return DelegationListItem;
});
