define(
  ['marionette', 'delegation/views/list-item', 'hb!delegation/templates/list'],
  function (Marionette, DelegationListItem, delegationListTemplate) {
  'use strict';

  var DelegationList = Marionette.CompositeView.extend({
    template: delegationListTemplate,

    itemView: DelegationListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Delegacje');
    }
  });

  return DelegationList;
});
