define(['marionette', 'hb!diary/templates/list-item'], function (Marionette, diaryListItemTemplate) {
  'use strict';

  var DiaryListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: diaryListItemTemplate,

    events: {
      'click': 'viewDiary'
    },

    modelEvents: {
      'change': 'render'
    },

    viewDiary: function () {
      G.navigate('diary/view/' + this.model.get('id'));
    }
  });

  return DiaryListItem;
});
