define(
  ['marionette', 'diary/views/list-item', 'hb!diary/templates/list'],
  function (Marionette, DiaryListItem, diaryListTemplate) {
  'use strict';

  var DiaryList = Marionette.CompositeView.extend({
    template: diaryListTemplate,

    itemView: DiaryListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Dziennik zdarzeń');
    }
  });

  return DiaryList;
});
