define(['marionette', 'hb!diary/templates/parts-item'], function (Marionette, partsListItemTemplate) {
  'use strict';

  var PartsListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: partsListItemTemplate,

    events: {
      'click': 'editPart'
    },

    modelEvents: {
      'change': 'render'
    },

    editPart: function () {
      G.navigate('diary/parts/' + this.model.get('fk_diary_diary_id') + '/edit/' + this.model.get('id'));
    }
  });

  return PartsListItem;
});
