define(
  ['marionette', 'diary/views/parts-item', 'hb!diary/templates/parts'],
  function (Marionette, PartsListItem, partsListTemplate) {
  'use strict';

  var DiaryList = Marionette.CompositeView.extend({
    template: partsListTemplate,

    itemView: PartsListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Dziennik zdarzeń');
    },

    serializeData: function () {
      return {
        id: this.collection.id
      };
    }
  });

  return DiaryList;
});
