/**
 * (Not) equality helper for handlebars
 * @author elwiz
 */
define(['handlebars'], function (Handlebars) {
  'use strict';

  Handlebars.registerHelper('eq', function(v1, v2, options) {
    if(v1 == v2) {
      return options.fn(this);
    } else {
      return options.inverse(this);
    }
  });

  Handlebars.registerHelper('neq', function(v1, v2, options) {
    if(v1 != v2) {
      return options.fn(this);
    } else {
      return options.inverse(this);
    }
  });

  return {};
});
