define(['marionette', 'hb!penalty/templates/list-item'], function (Marionette, penaltyListItemTemplate) {
  'use strict';

  var PenaltyListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: penaltyListItemTemplate,

    events: {
      'click': 'viewPenalty'
    },

    modelEvents: {
      'change': 'render'
    },

    viewPenalty: function () {
      G.navigate('penalty/view/' + this.model.get('id'));
    }
  });

  return PenaltyListItem;
});
