define(
  ['marionette', 'penalty/views/list-item', 'hb!penalty/templates/list'],
  function (Marionette, PenaltyListItem, penaltyListTemplate) {
  'use strict';

  var PenaltyList = Marionette.CompositeView.extend({
    template: penaltyListTemplate,

    itemView: PenaltyListItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Punkty karne');
    }
  });

  return PenaltyList;
});
