define(['marionette', 'hb!refuel/templates/list-item'], function (Marionette, refuelListItemTemplate) {
  'use strict';

  var RefuelListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: refuelListItemTemplate,

    events: {
      'click': 'viewRefuel'
    },

    modelEvents: {
      'change': 'render'
    },

    viewRefuel: function () {
      G.navigate('refuel/view/' + this.model.get('id'));
    }
  });

  return RefuelListItem;
});
