define(
  ['marionette', 'hb!request/templates/view'],
  function (Marionette, requestViewTemplate) {
  'use strict';

  var RequestView = Marionette.ItemView.extend({
    template: requestViewTemplate,

    modelEvents: {
      'change': 'updateModel render'
    },

    updateModel: function () {
      var i, actions = this.model.get('actions');

      for(i in actions) {
        switch (i) {
          case 'new':
            actions[i].description = 'Nowa wiadomość';
            break;
          case 'message':
            actions[i].description = 'Odpowiedz';
            break;
          case 'change':
            actions[i].description = 'Zmień';
            break;
          case 'reject':
            actions[i].description = 'Odrzuć';
            break;
        }
      }
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Wiadomości');
    }
  });

  return RequestView;
});
