define(['backbone', 'search/models/result', 'module'], function (Backbone, ResultModel, module) {
  'use strict';

  var Result = Backbone.Collection.extend({
    model: ResultModel,

    query: '',

    url: function () {
      return module.config().url + this.query;
    }
  });

  return Result;
});
