define(['marionette', 'hb!search/templates/offline-item'], function (Marionette, searchOfflineItemTemplate) {
  'use strict';

  var SearchOfflineItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: searchOfflineItemTemplate,

    events: {
      'click': 'viewDetails'
    },

    modelEvents: {
      'change': 'render'
    },

    viewDetails: function () {
      G.navigate('search/local-details/' + this.model.get('id'));
    }
  });

  return SearchOfflineItem;
});
