define(
  ['marionette', 'search/views/offline-item', 'hb!search/templates/offline'],
  function (Marionette, SearchOfflineItem, searchOfflineTemplate) {
  'use strict';

  var SearchOffline = Marionette.CompositeView.extend({
    template: searchOfflineTemplate,

    itemView: SearchOfflineItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Najbliższe warsztaty');
    }
  });

  return SearchOffline;
});
