define(['marionette', 'hb!search/templates/result-item'], function (Marionette, searchResultItemTemplate) {
  'use strict';

  var SearchResultItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: searchResultItemTemplate,

    events: {
      'click': 'viewDetails'
    },

    modelEvents: {
      'change': 'render'
    },

    viewDetails: function () {
      G.navigate('search/details/' + this.model.get('id'));
    }
  });

  return SearchResultItem;
});
