define(
  ['marionette', 'search/views/result-item', 'hb!search/templates/result'],
  function (Marionette, SearchResultItem, searchResultTemplate) {
  'use strict';

  var SearchResult = Marionette.CompositeView.extend({
    template: searchResultTemplate,

    itemView: SearchResultItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Wyniki wyszukiwania');
    },

    serializeData: function () {
      return {
        query: this.collection.query
      };
    }
  });

  return SearchResult;
});
